Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003052 [JEDI VCL] 00 JVCL Components minor always 2005-06-23 21:07 2006-06-08 05:30
Reporter muk View Status public  
Assigned To remkobonte
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0003052: JvDocking save/load bug handling embedded forms
Description When a form is embedded in an another form, LoadDockTreeFromFile will apart it from its parent. See sample project for more.
Additional Information Quick fix: (there may be side effects)

In JvDockControlForm.DoFloatAllForm
  
Change line
"if not (Screen.CustomForms[I] is TJvDockableForm) then"
to
"if not (Screen.CustomForms[I] is TJvDockableForm) and (Screen.CustomForms[I].Parent = nil)then"
  
Tags No tags attached.
Attached Files zip file icon load bug.zip [^] (5,804 bytes) 2005-06-23 21:07

- Relationships
related to 0003753resolvedobones Reopen 0003052 JvDocking save/load bug handling embedded forms 

-  Notes
(0008044)
muk (reporter)
2005-10-20 20:17

Forget the fix in Additional Information box, this just messes up load-save mechanism.
(0008045)
muk (reporter)
2005-10-20 21:45

This seems to work:

Again change line in JvDockControlForm.DoFloatAllForm:

"if not (Screen.CustomForms[I] is TJvDockableForm) then"

to

"if (not (Screen.CustomForms[I] is TJvDockableForm)) and (FinddockClient(Screen.CustomForms[I]) <> nil) then"
(0008413)
muk (reporter)
2006-01-20 11:40

using above solution for months - it works in my case. Issue may be closed after merging.
(0008908)
obones (administrator)
2006-04-04 08:39

remko, any news? If you want I can put the code given by muk in.
(0009455)
obones (administrator)
2006-06-08 05:30

This is now in SVN.

- Issue History
Date Modified Username Field Change
2005-06-23 21:07 muk New Issue
2005-06-23 21:07 muk File Added: load bug.zip
2005-06-25 04:49 remkobonte Status new => assigned
2005-06-25 04:49 remkobonte Assigned To => remkobonte
2005-10-20 20:17 muk Note Added: 0008044
2005-10-20 21:45 muk Note Added: 0008045
2006-01-20 11:40 muk Note Added: 0008413
2006-04-04 08:39 obones Note Added: 0008908
2006-04-04 08:39 obones Status assigned => feedback
2006-06-08 05:30 obones Status feedback => resolved
2006-06-08 05:30 obones Resolution open => fixed
2006-06-08 05:30 obones Note Added: 0009455
2006-06-09 00:57 obones Relationship added related to 0003753


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker